Bug 1465077 - CFME collects C&U metrics even before resource creation
CFME collects C&U metrics even before resource creation
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.7.4
Assigned To: Šimon Lukašík
Nandini Chandra
c&u
: ZStream
Depends On: 1433984
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 11:32 EDT by Satoe Imaishi
Modified: 2017-12-18 15:25 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1433984
Environment:
Last Closed: 2017-12-18 15:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-30 13:15:56 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3780cdc7486ba866580d58e2bc3b4476e13f8dc4

commit 3780cdc7486ba866580d58e2bc3b4476e13f8dc4
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Apr 10 09:25:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 30 13:12:40 2017 -0400

    Merge pull request #14666 from isimluk/metrics-time
    
    Charge since the first MetricRollup
    (cherry picked from commit e43ccabaddc886bdeff4d0e8f91bc557ad3ac3fc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465077

 app/models/chargeback/consumption.rb              | 6 +++++-
 app/models/chargeback/consumption_with_rollups.rb | 5 +++++
 2 files changed, 10 insertions(+), 1 deletion(-)
Comment 3 Nandini Chandra 2017-09-14 13:14:58 EDT
Hi Gregg/Satoe,

Could this BZ be moved to POST/ON_QA?
Comment 4 Nandini Chandra 2017-09-19 11:36:57 EDT
Thanks Satoe.Could this now be moved from MODIFIED to ON_QA?
Comment 5 Nandini Chandra 2017-09-19 16:23:50 EDT
Verified in 5.7.4

Verified that Chargeback reports don't skip rollup records older than VMs.
Comment 8 errata-xmlrpc 2017-12-18 15:25:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.